Package: org.codehaus.groovy.transform

## [Java] Class LogASTTransformation.AbstractLoggingStrategyV2

- org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategyV2

- All Implemented Interfaces and Traits:
    LoggingStrategyV2

      public static abstract class LogASTTransformation.AbstractLoggingStrategyV2
      extends AbstractLoggingStrategy
      implements LoggingStrategyV2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractLoggingStrategyV2(GroovyClassLoader loader)`
    `protected AbstractLoggingStrategyV2()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FieldNode` | `addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName)`

- - ### Constructor Detail

    - #### protected AbstractLoggingStrategyV2(GroovyClassLoader loader)

    - #### protected AbstractLoggingStrategyV2()

  - ### Method Detail

    - #### @Override
      public FieldNode addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName)